%define major		3
%define libname		%mklibname plist %{major}
%define libnamedev	%mklibname plist -d
%define libnamecxx	%mklibname plist++ %{major}
%define libnamecxxdev	%mklibname plist++ -d

Name:		libplist
Version:	1.12
Release:	1
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2

BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	gcc-c++
BuildRequires:	libtool

%description
libplist is a library for manipulating Apple Binary and XML Property Lists

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libplist is a library for manipulating Apple Binary and XML Property Lists

#----------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for libplist
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name}, development headers and libraries.

#----------------------------------------------------------------------------

%package -n	%{libnamecxx}
Summary:	C++++ binding for libplist
Group:		Development/C++
Requires:	%{name} >= %{version}-%{release}

%description -n %{libnamecxx}
C++ bindings for %{name}

#----------------------------------------------------------------------------

%package -n	%{libnamecxxdev}
Summary:	Development package for libplist++
Group:		Development/C++
Requires:	%{libnamecxx} = %{version}-%{release}
Provides:	%{name}++-devel = %{version}-%{release}
Conflicts:	%{mklibname plist++ 0} < 1.0

%description -n %{libnamecxxdev}
%{name}, C++ development headers and libraries.

#----------------------------------------------------------------------------

%package -n	python-plist
Summary:	Python package for libplist
Group:		Development/Python
BuildRequires:	python-cython
BuildRequires:	python-devel
Requires:	python

%description -n python-plist
%{name}, python libraries and support

#----------------------------------------------------------------------------
%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x \
		--disable-static
make

%install
%makeinstall_std

# daviddavid (workaround since new 1.11 version)
# FIXME This file is not automatically installed by upstream source while it is built.
mkdir -p %{buildroot}%{_includedir}/plist/cython
install -m 0644 cython/plist.pxd %{buildroot}%{_includedir}/plist/cython/

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS COPYING.LESSER README
%{_bindir}/plistutil

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libnamedev}
%dir %{_includedir}/plist
%{_includedir}/plist/*.h
%{_includedir}/plist/cython/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

%files -n %{libnamecxx}
%{_libdir}/%{name}++.so.%{major}
%{_libdir}/%{name}++.so.%{major}.*

%files -n %{libnamecxxdev}
%{_libdir}/pkgconfig/%{name}++.pc
%{_libdir}/%{name}++.so

%files -n python-plist
%{py_platsitedir}/plist.so



%changelog

* Mon Sep 28 2015 Denis Silakov <dsilakov@gmail.com> 1.12-1
- (a977c07) Updated to 1.12


